%define _pkgconfigdir	%{_libdir}/pkgconfig
%define _disable_ld_no_undefined 1

Name: libxcb-util-devel
Summary: A number of libraries which sit on top of libxcb
Version: 0.3.3
Release: %mkrel 1
Group: System/X11
License: MIT
URL: http://xcb.freedesktop.org
Source: http://xcb.freedesktop.org/dist/xcb-util-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 7.3-2mdv
BuildRequires: x11-util-macros >= 1.1.5
BuildRequires: xcb-devel
BuildRequires: gperf

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%prep
%setup -q -n xcb-util-%{version}

%build
autoreconf -ifs
%configure

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%{_includedir}/xcb/xcb_atom.h
%{_includedir}/xcb/xcb_aux.h
%{_includedir}/xcb/xcb_bitops.h
%{_includedir}/xcb/xcb_event.h
%{_includedir}/xcb/xcb_icccm.h
%{_includedir}/xcb/xcb_image.h
%{_includedir}/xcb/xcb_keysyms.h
%{_includedir}/xcb/xcb_pixel.h
%{_includedir}/xcb/xcb_property.h
%{_includedir}/xcb/xcb_renderutil.h
%{_includedir}/xcb/xcb_reply.h
%{_includedir}/xcb/xcb_wm.h
%{_libdir}/libxcb-atom.a
%{_libdir}/libxcb-atom.la
%{_libdir}/libxcb-atom.so
%{_libdir}/libxcb-atom.so.1
%{_libdir}/libxcb-atom.so.1.0.0
%{_libdir}/libxcb-aux.a
%{_libdir}/libxcb-aux.la
%{_libdir}/libxcb-aux.so
%{_libdir}/libxcb-aux.so.0
%{_libdir}/libxcb-aux.so.0.0.0
%{_libdir}/libxcb-event.a
%{_libdir}/libxcb-event.la
%{_libdir}/libxcb-event.so
%{_libdir}/libxcb-event.so.1
%{_libdir}/libxcb-event.so.1.0.0
%{_libdir}/libxcb-icccm.a
%{_libdir}/libxcb-icccm.la
%{_libdir}/libxcb-icccm.so
%{_libdir}/libxcb-icccm.so.1
%{_libdir}/libxcb-icccm.so.1.0.0
%{_libdir}/libxcb-image.a
%{_libdir}/libxcb-image.la
%{_libdir}/libxcb-image.so
%{_libdir}/libxcb-image.so.0
%{_libdir}/libxcb-image.so.0.0.0
%{_libdir}/libxcb-keysyms.a
%{_libdir}/libxcb-keysyms.la
%{_libdir}/libxcb-keysyms.so
%{_libdir}/libxcb-keysyms.so.0
%{_libdir}/libxcb-keysyms.so.0.0.0
%{_libdir}/libxcb-property.a
%{_libdir}/libxcb-property.la
%{_libdir}/libxcb-property.so
%{_libdir}/libxcb-property.so.1
%{_libdir}/libxcb-property.so.1.0.0
%{_libdir}/libxcb-render-util.a
%{_libdir}/libxcb-render-util.la
%{_libdir}/libxcb-render-util.so
%{_libdir}/libxcb-render-util.so.0
%{_libdir}/libxcb-render-util.so.0.0.0
%{_libdir}/libxcb-reply.a
%{_libdir}/libxcb-reply.la
%{_libdir}/libxcb-reply.so
%{_libdir}/libxcb-reply.so.1
%{_libdir}/libxcb-reply.so.1.0.0
%{_libdir}/libxcb-wm.a
%{_libdir}/libxcb-wm.la
%{_libdir}/libxcb-wm.so
%{_libdir}/libxcb-wm.so.0
%{_libdir}/libxcb-wm.so.0.0.0
%{_pkgconfigdir}/xcb-atom.pc
%{_pkgconfigdir}/xcb-aux.pc
%{_pkgconfigdir}/xcb-event.pc
%{_pkgconfigdir}/xcb-icccm.pc
%{_pkgconfigdir}/xcb-image.pc
%{_pkgconfigdir}/xcb-keysyms.pc
%{_pkgconfigdir}/xcb-property.pc
%{_pkgconfigdir}/xcb-renderutil.pc
%{_pkgconfigdir}/xcb-reply.pc
%{_pkgconfigdir}/xcb-wm.pc


%changelog
* Fri Feb 06 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 0.3.3-1mdv2009.1
+ Revision: 338080
- New version 0.3.3

* Thu Dec 18 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 0.3.2-2mdv2009.1
+ Revision: 315840
- Bump release
- New version 0.3.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2-1mdv2009.0
+ Revision: 193499
- xcb-util is a collection of libraries that complement xcb. From the README:
  These libraries are currently included, roughly ordered by maturity:
  render-util: Convenience functions for the Render extension.
  aux: Convenient access to connection setup and some core requests.
  atom: Standard core X atom constants and atom caching.
  property: Callback X property-change handling.
  icccm: Both client and window-manager helpers for ICCCM.
  keysyms: Standard X key constants and conversion to/from keycodes.
  event: Callback X event handling.
  image: Port of Xlib's XImage and XShmImage functions.
  wm: Framework for window manager implementation.
  If you find any of these libraries useful, please let us know what
  you're using and why you aren't in a mental hospital yet. We'd welcome
  patches/suggestions for enhancement and new libraries; Please report any
  issues you find to the freedesktop.org bug tracker, at:
        <https://bugs.freedesktop.org/enter_bug.cgi?product=XCB>
  Discussion about XCB occurs on the XCB mailing list:
        <mailto:xcb at lists.freedesktop.org>
        <http://lists.freedesktop.org/mailman/listinfo/xcb>
  You can obtain the latest development versions of XCB using GIT.
  For anonymous checkouts, use:
        git clone git://anongit.freedesktop.org/git/xcb/util
  For developers, use:
        git clone git+ssh://git.freedesktop.org/git/xcb/util
- xcb-util package.

